=== click/CMakeLists.txt ===
add_subdirectory(scope-click)
