=== gtest/scopes/CMakeLists.txt ===
add_subdirectory(internal)
add_subdirectory(testing)
add_subdirectory(utility)

if(${slowtests})
  add_subdirectory(stress)
endif()

add_subdirectory(Activation)
add_subdirectory(ActivationResponse)
add_subdirectory(Aggregation)
add_subdirectory(Annotation)
add_subdirectory(CannedQuery)
add_subdirectory(CategorisedResult)
add_subdirectory(Category)
add_subdirectory(CategoryRenderer)
add_subdirectory(ColumnLayout)
add_subdirectory(DateTimePickerFilter)
add_subdirectory(Department)
add_subdirectory(Filters)
add_subdirectory(IdleShutdown)
add_subdirectory(Invocation)
add_subdirectory(Location)
add_subdirectory(OnlineAccountClient)
add_subdirectory(OptionSelectorFilter)
add_subdirectory(PreviewWidget)
add_subdirectory(QueryMetadata)
add_subdirectory(RadioButtonsFilter)
add_subdirectory(RangeInputFilter)
add_subdirectory(RatingFilter)
add_subdirectory(Registry)
add_subdirectory(ReplyReaper)
add_subdirectory(ResultCache)
add_subdirectory(Runtime)
add_subdirectory(ScopeBase)
add_subdirectory(ScopeExceptions)
add_subdirectory(StandAloneScope)
add_subdirectory(StripLocation)
add_subdirectory(SwitchFilter)
add_subdirectory(ThrowingClient)
add_subdirectory(ThrowingScope)
add_subdirectory(ValueSliderFilter)
add_subdirectory(Variant)
add_subdirectory(VariantBuilder)
add_subdirectory(Version)
add_subdirectory(qt)
