=== debian/changelog ===
unity-scopes-api (1.0.4+16.04.20160402.4-0ubuntu1) xenial; urgency=medium

  [ Marcus Tomlinson ]
  * Simplify debian/control munging. Look for clang-format as opposed to
    clang-format-3.x. Added missing initializations to TypedScopeFixture
    (Bug #1542906). Allow clients to specify authentication parameters
    (Bug #1554040). (LP: #1554040, #1542906)

  [ Michi Henning ]
  * Fixed incorrect generation of Replaces: and Conflicts: entries in
    debian/control for xenial. Fixed incorrect library soname for vivid.

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Sat, 02 Apr 2016 03:24:17 +0000

unity-scopes-api (1.0.4+16.04.20160317-0ubuntu1) xenial; urgency=medium

  [ Pawel Stolowski ]
  * New RangeInputFilter.

  [ Michi Henning ]
  * Changed ABI compliance testing to use abigail.

  [ CI Train Bot ]
  * No-change rebuild.

 -- Michael Zanetti <michael.zanetti@canonical.com>  Thu, 17 Mar 2016 22:35:17 +0000

unity-scopes-api (1.0.3+16.04.20160209-0ubuntu2) xenial; urgency=medium

  * No-change rebuild for zeromq3 transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 22:39:01 +0100

unity-scopes-api (1.0.3+16.04.20160209-0ubuntu1) xenial; urgency=medium

  [ Michi Henning ]
  * Bumped micro version.

  [ CI Train Bot ]
  * No-change rebuild.

 -- Rodney Dawes <ci-train-bot@canonical.com>  Tue, 09 Feb 2016 15:15:15 +0000

unity-scopes-api (1.0.2+16.04.20151218.2-0ubuntu1) xenial; urgency=medium

  [ Michi Henning ]
  * Changed version number generation to use a common script. Removed
    symbols files because we are now using abi-compliance-checker.

  * Replaced global dummy loggers for testing with heap-allocated
    instances to avoid crash due to global destructor ordering (LP: #1472755).

  [ CI Train Bot ]
  * No-change rebuild.

 -- Pawel Stolowski <ci-train-bot@canonical.com>  Fri, 18 Dec 2015 11:42:03 +0000

unity-scopes-api (1.0.2+15.10.20151009-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Pawel Stolowski ]
  * Store scopes package version in /var/lib/.../version file for fast
    retrieval from the shell plugin.

 -- Pawel Stolowski <ci-train-bot@canonical.com>  Fri, 09 Oct 2015 09:12:00 +0000

unity-scopes-api (1.0.2+15.10.20150921-0ubuntu1) wily; urgency=medium

  [ Pawel Stolowski ]
  * Loop through each argument of the custom scope runner command and ensure
    that all path arguments are absolute.
  * Protect all JsonCppNode::get_node() methods with a "if (!root_) throw;"
    check (Fixes LP: #1494796).
  * Merged devel.

  [ CI Train Bot ]
  * debian/libunity-scopes.symbols.in: update to released version.
  * New rebuild forced.

 -- Pawel Stolowski <ci-train-bot@canonical.com>  Mon, 21 Sep 2015 13:32:17 +0000

unity-scopes-api (1.0.1+15.10.20150915.1-0ubuntu1) wily; urgency=medium

  [ Michi Henning ]
  * Consolidate debian packaging for Vivid and Wily, so we don't
    need to keep to separate series for the gcc 5 ABI break.

  [ CI Train Bot ]
  * debian/libunity-scopes.symbols.in: update to released version.
  * New rebuild forced.

  [ Alejandro J. Cura ]
  * Add docs for the table widget

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 15 Sep 2015 11:20:24 +0000

unity-scopes-api (1.0.1+15.10.20150826-0ubuntu1) wily; urgency=medium

  [ Pawel Stolowski ]
  * Added support for preview widget updates via ActivationResponse.

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 26 Aug 2015 08:59:51 +0000

unity-scopes-api (1.0.0-0ubuntu1) wily; urgency=medium

  * Changed package name and soname for toolchain update to gcc 5.0.

 -- Michi Henning <michi.henning@canonical.com>  Fri, 24 Jul 2015 15:12:14 +1000

unity-scopes-api (0.6.19+15.10.20150724.3-0ubuntu1) wily; urgency=medium

  [ Michi Henning ]
  * Updated standards version to 3.9.6 in debian/control. Removed
    copyonly from configure() calls because cmake 3.2.2 doesn't like it.
    Removed g++ dependency from debian/control because bzr bd emitted a
    warning.

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 24 Jul 2015 12:52:52 +0000

unity-scopes-api (0.6.19+15.10.20150721-0ubuntu1) wily; urgency=medium

  [ Michi Henning ]
  * Removed gcc 4.9 dependency from debian/rules.

  [ Pawel Stolowski ]
  * Added missing #include needed for g++ 5.0.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 21 Jul 2015 05:14:09 +0000

unity-scopes-api (0.6.19+15.10.20150714-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Pawel Stolowski ]
  * Merged devel.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 14 Jul 2015 09:26:41 +0000

unity-scopes-api (0.6.19+15.10.20150708-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Pawel Stolowski ]
  * Fix handling of timeout in debug mode. Use mtime instead of inotify
    to detect settings changes. Revert delayed notification about scope
    removal.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 08 Jul 2015 14:35:44 +0000

unity-scopes-api (0.6.19+15.10.20150617.2-0ubuntu1) wily; urgency=medium

  [ Pawel Stolowski ]
  * Support UNITY_SCOPES_CONFIG_DIR environment variable.

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 17 Jun 2015 16:30:27 +0000

unity-scopes-api (0.6.18+15.10.20150609.1-0ubuntu1) wily; urgency=medium

  [ Marcus Tomlinson ]
  * Allow child_scopes() and set_child_scopes() methods more time to
    execute as they read from and write to disk.
  * Added ChildScopes.Timeout configuration parameter to Zmq.ini

  [ Pawel Stolowski ]
  * Added API for activation of in-card result actions.

  [ CI Train Bot ]
  * debian/libunity-scopes3.symbols: update to released version.
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 09 Jun 2015 12:21:21 +0000

unity-scopes-api (0.6.17+15.10.20150526-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * debian/libunity-scopes3.symbols: update to released version.


