=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to control.in instead.
# This file is regenerated automatically by bileto.
#
Source: unity-scopes-api
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: abigail-tools | libabigail-tools,
               binutils,
               capnproto,
               click-dev (>= 0.2.2),
               cmake,
               dbus-test-runner,
               debhelper (>= 9),
               devscripts,
               doxygen,
               exuberant-ctags,
               google-mock,
               graphviz,
               libaccounts-glib-dev,
               libapparmor-dev,
               libboost-filesystem-dev,
               libboost-regex-dev,
               libboost-serialization-dev,
               libboost-thread-dev,
               libcapnp-dev (>= 0.4.0),
               libdbustest1-dev,
               libjsoncpp-dev,
               liblttng-ust-dev,
               libnet-cpp-dev (>= 1.2.0),
               libprocess-cpp-dev (>= 1.0.1),
               libsignon-glib-dev,
               libunity-api-dev (>= 7.80.7~),
               libzmq3-dev,
               libzmqpp-dev,
               lsb-release,
               lttng-tools,
               pkg-config,
               python3:any,
               python3-dbusmock,
               python-tornado,
               valgrind,
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Section: libs
Homepage: https://launchpad.net/unity-scopes-api
# if you don't have have commit access to this branch but would like to upload
# directly to Ubuntu, don't worry: your changes will be merged back into the
# upstream branch
Vcs-Bzr: lp:unity-scopes-api
Vcs-Browser: https://code.launchpad.net/unity-scopes-api

Package: libunity-scopes1.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Replaces: libunity-scopes0,
          libunity-scopes3,
          libunity-scopes1,
          libunity-scopes2,
Conflicts: libunity-scopes0,
           libunity-scopes3,
           libunity-scopes1,
           libunity-scopes2,
Description: API for Unity scopes integration
 Library to integrate scopes with the Unity shell

Package: libunity-scopes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libproperties-cpp-dev,
         libunity-api-dev,
         libunity-scopes1.0 (= ${binary:Version}),
         ${misc:Depends},
Description: Header files for Unity scopes API
 Library to integrate scopes with the Unity shell (dev files)

Package: libunity-scopes-cli
Section: devel
Architecture: any
Multi-Arch: foreign
Depends: libunity-scopes1.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Client utility for Unity scopes API
 Commandline client utility for querying Unity scopes, useful for testing.

Package: libunity-scopes-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Documentation for Unity scopes API
 Library to integrate scopes with the Unity shell (documentation)

Package: libunity-scopes-qt0.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt library for Unity scopes API
 Library that integrates classes based on Qt for convenience

Package: libunity-scopes-qt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libunity-scopes-dev (= ${binary:Version}),
         libunity-scopes-qt0.2 (= ${binary:Version}),
         libnet-cpp-dev (>=1.2.0),
         ${misc:Depends},
Description: Header files for Qt library for Unity scopes API
 Library that integrates classes based on Qt for convenience (dev files)

Package: libunity-scopes-qt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Documentation for Unity Qt library
 Library that integrates classes based on Qt for convenience (documentation)
