=== debian/tests/control ===
Tests: scopebuild
Depends: g++, pkg-config, libunity-scopes-dev
